org.apache.ignite.internal.processors.cache

## Enum CacheOperationFilter

- java.lang.Object
- - java.lang.Enum<CacheOperationFilter>
  - - org.apache.ignite.internal.processors.cache.CacheOperationFilter

All Implemented Interfaces:
  Serializable, Comparable<CacheOperationFilter>

    public enum CacheOperationFilter
    extends Enum<CacheOperationFilter>

Cache operation filter.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALWAYS` Always pass.
`EQUALS_VAL` Equals to value.
`HAS_VAL` Has value.
`NO_VAL` No value.

### Method Summary

Methods
`CacheEntryPredicate` `createPredicate(CacheObject val)` Creare predicate from operation filter.
`static CacheOperationFilter` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheOperationFilter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALWAYS

    public static final CacheOperationFilter ALWAYS

Always pass.

#### NO_VAL

    public static final CacheOperationFilter NO_VAL

No value.

#### HAS_VAL

    public static final CacheOperationFilter HAS_VAL

Has value.

#### EQUALS_VAL

    public static final CacheOperationFilter EQUALS_VAL

Equals to value.

### Method Detail

#### values

    public static CacheOperationFilter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheOperationFilter c : CacheOperationFilter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheOperationFilter valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### createPredicate

    @Nullable
    public CacheEntryPredicate createPredicate(@Nullable
                                               CacheObject val)

Creare predicate from operation filter.

Parameters:
  `val` - Optional value.
Returns:
  Predicate.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017